//+------------------------------------------------------------------+
//|                                                       MyGroup_.mq4 |
//|                                                              qmt |
//|                                                                  |
//+------------------------------------------------------------------+



#property copyright "qmt"
#property link      ""

#property indicator_chart_window
//---- input parameters
extern int Per = 30;
datetime beg_t;
double gbpjpy_bid, eurjpy_bid, usdjpy_bid, gbpusd_bid, eurusd_bid, usdcad_bid, eurcad_bid, audjpy_bid;  
double usdchf_bid,chfjpy_bid,audusd_bid,eurchf_bid,gbpchf_bid,eurgbp_bid,jpychf_bid, cadjpy_bid, nzdusd_bid, gbpcad_bid;


string txt;
double value[20];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   beg_t = CurTime()-Per*60;
   txt = "";
 
   
   gbpjpy_bid = iOpen("GBPJPY",PERIOD_M5,iBarShift("GBPJPY",PERIOD_M5,beg_t));
   usdjpy_bid = iOpen("USDJPY",PERIOD_M5,iBarShift("USDJPY",PERIOD_M5,beg_t));
   eurjpy_bid = iOpen("EURJPY",PERIOD_M5,iBarShift("EURJPY",PERIOD_M5,beg_t));
   eurcad_bid = iOpen("EURCAD",PERIOD_M5,iBarShift("EURCAD",PERIOD_M5,beg_t));
   gbpusd_bid = iOpen("GBPUSD",PERIOD_M5,iBarShift("GBPUSD",PERIOD_M5,beg_t));
   eurusd_bid = iOpen("EURUSD",PERIOD_M5,iBarShift("EURUSD",PERIOD_M5,beg_t));
   usdcad_bid = iOpen("USDCAD",PERIOD_M5,iBarShift("USDCAD",PERIOD_M5,beg_t));
   usdchf_bid = iOpen("USDCHF",PERIOD_M5,iBarShift("USDCHF",PERIOD_M5,beg_t));
   cadjpy_bid = iOpen("CADJPY",PERIOD_M5,iBarShift("CADJPY",PERIOD_M5,beg_t));
   nzdusd_bid = iOpen("NZDUSD",PERIOD_M5,iBarShift("NZDUSD",PERIOD_M5,beg_t));
   audusd_bid = iOpen("AUDUSD",PERIOD_M5,iBarShift("AUDUSD",PERIOD_M5,beg_t));
   audjpy_bid = iOpen("AUDJPY",PERIOD_M5,iBarShift("AUDJPY",PERIOD_M5,beg_t));
   eurgbp_bid = iOpen("EURGBP",PERIOD_M5,iBarShift("EURGBP",PERIOD_M5,beg_t));
   gbpcad_bid = iOpen("GBPCAD",PERIOD_M5,iBarShift("GBPCAD",PERIOD_M5,beg_t));
   gbpchf_bid = iOpen("GBPCHF",PERIOD_M5,iBarShift("GBPCHF",PERIOD_M5,beg_t));
   chfjpy_bid = iOpen("CHFJPY",PERIOD_M5,iBarShift("CHFJPY",PERIOD_M5,beg_t));
 
   value[1] = (MarketInfo("GBPJPY",MODE_BID)-gbpjpy_bid)/MarketInfo("GBPJPY",MODE_POINT);
   value[2] = (MarketInfo("USDJPY",MODE_BID)-usdjpy_bid)/MarketInfo("USDJPY",MODE_POINT);
   value[3] = (MarketInfo("EURJPY",MODE_BID)-eurjpy_bid)/MarketInfo("EURJPY",MODE_POINT);
   value[4] = (MarketInfo("EURCAD",MODE_BID)-eurcad_bid)/MarketInfo("EURCAD",MODE_POINT);
   value[5] = (MarketInfo("GBPUSD",MODE_BID)-gbpusd_bid)/MarketInfo("GBPUSD",MODE_POINT);
   value[6] = (MarketInfo("EURUSD",MODE_BID)-eurusd_bid)/MarketInfo("EURUSD",MODE_POINT);
   value[7] = (MarketInfo("USDCAD",MODE_BID)-usdcad_bid)/MarketInfo("USDCAD",MODE_POINT);
   value[8] = (MarketInfo("CADJPY",MODE_BID)-cadjpy_bid)/MarketInfo("CADJPY",MODE_POINT);
   value[9] = (MarketInfo("USDCHF",MODE_BID)-usdchf_bid)/MarketInfo("USDCHF",MODE_POINT);
   value[10] = (MarketInfo("NZDUSD",MODE_BID)-nzdusd_bid)/MarketInfo("NZDUSD",MODE_POINT);
   value[11] = (MarketInfo("AUDUSD",MODE_BID)-audusd_bid)/MarketInfo("AUDUSD",MODE_POINT);
   value[12] = (MarketInfo("AUDJPY",MODE_BID)-audjpy_bid)/MarketInfo("AUDJPY",MODE_POINT);
   value[13] = (MarketInfo("EURGBP",MODE_BID)-eurgbp_bid)/MarketInfo("EURGBP",MODE_POINT);
   value[14] = (MarketInfo("GBPCAD",MODE_BID)-gbpcad_bid)/MarketInfo("GBPCAD",MODE_POINT);   
   value[15] = (MarketInfo("GBPCHF",MODE_BID)-gbpchf_bid)/MarketInfo("GBPCHF",MODE_POINT);   
   value[16] = (MarketInfo("CHFJPY",MODE_BID)-chfjpy_bid)/MarketInfo("CHFJPY",MODE_POINT);   
   
   txt = TimeToStr(beg_t,TIME_MINUTES) + " - " + TimeToStr(CurTime(),TIME_MINUTES) + " : "+ "\n";
   Comment(txt, "--------------------------------------------------------", "\n",
" USDJPY ", value[2], "       ","  EURUSD ", value[6], "      USDCAD ", value[7], "      NZDUSD ", value[10], "      EURGBP ", value[13], "\n",
" EURJPY ", value[3], "       ","  GBPUSD ", value[5], "      EURCAD ", value[4], "      AUDUSD ", value[11], "      GBPCHF ", value[15],"\n",
" GBPJPY ", value[1], "       ","  USDCHF ", value[9], "      CADJPY ", value[8], "       AUDJPY ", value[12], "\n",
" CHFJPY ", value[16],"                         ","      GBPCAD ", value[14], "\n",

"--------------------------------------------------------" , "\n"
);


//----
   return(0);
  }
//+------------------------------------------------------------------+